-- MySQL Script generated by MySQL Workbench
-- Mon Feb 15 14:05:26 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema phpdate
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema phpdate
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `phpdate` DEFAULT CHARACTER SET utf8 ;
USE `phpdate` ;

-- -----------------------------------------------------
-- Table `phpdate`.`users`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `phpdate`.`users` (
  `idusers` INT NOT NULL AUTO_INCREMENT,
  `pseudo` VARCHAR(45) NOT NULL,
  `mail` VARCHAR(45) NOT NULL,
  `mdp` VARCHAR(45) NOT NULL,
  `anniv` VARCHAR(45) NOT NULL,
  `departement` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idusers`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `phpdate`.`sports`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `phpdate`.`sports` (
  `idsports` INT NOT NULL AUTO_INCREMENT,
  `sport` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idsports`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `phpdate`.`pratiques`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `phpdate`.`pratiques` (
  `users_idusers` INT NOT NULL,
  `sports_idsports` INT NOT NULL,
  `niveau` VARCHAR(45) NOT NULL,
  CONSTRAINT `fk_pratique_users`
    FOREIGN KEY (`users_idusers`)
    REFERENCES `phpdate`.`users` (`idusers`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_pratique_sports`
    FOREIGN KEY (`sports_idsports`)
    REFERENCES `phpdate`.`sports` (`idsports`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;

CREATE INDEX `fk_table1_users_idx` ON `phpdate`.`pratiques` (`users_idusers` ASC) VISIBLE;

CREATE INDEX `fk_table1_sports1_idx` ON `phpdate`.`pratiques` (`sports_idsports` ASC) VISIBLE;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
